Bug 186560 - Specifying hostname on commandline
Specifying hostname on commandline
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-24 08:19 EST by Dag Wieers
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-04 15:24:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dag Wieers 2006-03-24 08:19:04 EST
Description of problem:
We would like to specify the hostname on the commandline (much like ip= netmask=
gw= dns=). In our case the security guidelines do not allow DNS (or DHCP) and
the only way to kickstart installations is using a virtual floppy/cdrom and HTTP
access.

For a bunch of identical servers it helps to not have to duplicate the kickstart
file. The only reason we are doing that now is because the hostname cannot be
specified in the isolinux.cfg because anaconda does not support it.

Here is an example of an isolinux.cfg that we use:

  prompt 1
  kbdmap be.ktl
  serial 0 115200
  timeout 600
  display ecboot.msg
  F1 ecboot.msg
  ### FIXME: Prefer to have the global options defined here
  #append initrd=initrd.img text kssendmac ksdevice=eth1 serial 
console=ttyS0,115200 console=tty dns=127.0.0.1 ks=http://10.50.33.171/footprint/
  default localboot

  label localboot
        localboot 0x80

  label system4
        kernel vmlinuz
        append initrd=initrd.img text ksdevice=eth1 ip=1.2.3.4
netmask=255.255.255.192 gateway=1.2.3.1 ks=http://1.2.3.2/footprint/

  label system5
        kernel vmlinuz
        append initrd=initrd.img text ksdevice=eth1 ip=1.2.3.5
netmask=255.255.255.192 gateway=1.2.3.1 ks=http://1.2.3.2/footprint/

...


This allows us to create a single bootable image that could install our 30
servers based on 4 different kickstart files. If we can specify the hostname on
the commandline, we only need to symlink the correct (profile) kickstart file to
the 1.2.3.4-kickstart location in the DocumentRoot of the webserver. And instead
of 30 almost identical kickstart files we could reduce it to 4.

This applies to EL4 as well.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1..
2..
3..
  
Actual results:


Expected results:


Additional info:
Comment 1 David Cantrell 2007-04-03 15:54:29 EDT
I can address this bug in Fedora.  If you need it addressed in a RHEL update
release, please contact your TAM.
Comment 2 David Cantrell 2007-09-04 15:24:15 EDT
Fixed in rawhide.  You can pass hostname=[hostname] at the cmdline and anaconda
will use that to set the hostname.

Note You need to log in before you can comment on or make changes to this bug.